=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2008-08-04 22:07:34 +0000
+++ bzrlib/commit.py	2008-08-05 04:10:43 +0000
@@ -758,8 +758,8 @@
                     # the path has a deleted parent, do not add it.
                     continue
             if exclude and is_inside_any(exclude, path):
-                # Skip - it is to be considered by the final copy-from-basis
-                # step.
+                # Skip excluded paths. Excluded paths are processed by
+                # _update_builder_with_changes.
                 continue
             content_summary = self.work_tree.path_content_summary(path)
             # Note that when a filter of specific files is given, we must only

=== modified file 'bzrlib/tests/workingtree_implementations/test_commit.py'
--- bzrlib/tests/workingtree_implementations/test_commit.py	2008-08-05 00:06:19 +0000
+++ bzrlib/tests/workingtree_implementations/test_commit.py	2008-08-05 04:10:43 +0000
@@ -233,7 +233,7 @@
         tree = self.make_branch_and_tree('.')
         self.build_tree(['a/', 'a/b'])
         tree.smart_add(['.'])
-        tree.commit('test', exclude=['a/b'])
+        tree.commit('test', specific_files=['a'], exclude=['a/b'])
         # If a/b was excluded it will still be 'added' in status.
         tree.lock_read()
         self.addCleanup(tree.unlock)

